<?php
/**
 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Joomla.Site
 * @subpackage	com_content
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT.DS.'helpers');

// Create shortcuts to some parameters.
$params		= $this->item->params;
$canEdit	= $this->item->params->get('access-edit');
?>
<div class="item-page<?php echo $this->pageclass_sfx?>">
<?php if ($this->params->get('show_page_heading', 1)) : ?>
<h1>
	<?php echo $this->escape($this->params->get('page_heading')); ?>
</h1>
<?php endif; ?>
<?php if ($params->get('show_title')|| $params->get('access-edit')) : ?>
		<h2>
				<?php if ($params->get('link_titles') && !empty($this->item->readmore_link)) : ?>
				<a href="<?php echo $this->item->readmore_link; ?>">
						<?php echo $this->escape($this->item->title); ?></a>
				<?php else : ?>
						<?php echo $this->escape($this->item->title); ?>
				<?php endif; ?>
		</h2>
<?php endif; ?>

<div class="details">
<?php if ($params->get('show_print_icon') || $params->get('show_email_icon') || $canEdit) : ?>
		<?php if ($params->get('show_print_icon')) : ?>
			<?php echo JHtml::_('icon.print_popup', $this->item, $params); ?>
		<?php endif; ?>
		<?php if ($params->get('show_email_icon')) : ?>
			<?php echo JHtml::_('icon.email', $this->item, $params); ?>
		<?php endif; ?>
		<?php if ($canEdit) : ?>
			<?php echo JHtml::_('icon.edit', $this->item, $params); ?>
		<?php endif; ?>
        &nbsp;
<?php endif; ?>

<?php if (!$params->get('show_intro')) : ?>
	<?php echo $this->item->event->afterDisplayTitle; ?>
<?php endif; ?>

<?php echo $this->item->event->beforeDisplayContent; ?>

<?php // to do not that elegant would be nice to group the params ?>

<?php if ($params->get('show_parent_category')) : ?>
			<?php $title = $this->escape($this->item->parent_title);
				$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_slug)) . '">' . $title . '</a>'; ?>
			<?php if ($params->get('link_parent_category') AND $this->item->parent_slug) : ?>
				<?php echo JText::sprintf('COM_CONTENT_PARENT', $url); ?>
				<?php else : ?>
				<?php echo JText::sprintf('COM_CONTENT_PARENT', $title); ?>
			<?php endif; ?>
            &nbsp;
<?php endif; ?>
<?php if ($params->get('show_category')) : ?>
			<?php $title = $this->escape($this->item->category_title);
				$url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug)).'">'.$title.'</a>';?>
			<?php if ($params->get('link_category') AND $this->item->catslug) : ?>
				<?php echo JText::sprintf('COM_CONTENT_CATEGORY', $url); ?>
				<?php else : ?>
				<?php echo JText::sprintf('COM_CONTENT_CATEGORY', $title); ?>
			<?php endif; ?>
            &nbsp;
<?php endif; ?>
<?php if ($params->get('show_create_date')) : ?>
		<?php echo JText::sprintf(JHTML::_('date',$this->item->created, JText::_('DATE_FORMAT_LC2'))); ?>
        &nbsp;
<?php endif; ?>
<?php if ($params->get('show_modify_date')) : ?>
		<?php echo JText::sprintf(JHTML::_('date',$this->item->modified, JText::_('DATE_FORMAT_LC2'))); ?>
        &nbsp;
<?php endif; ?>
<?php if ($params->get('show_publish_date')) : ?>
		<?php echo JText::sprintf(JHTML::_('date',$this->item->publish_up, JText::_('DATE_FORMAT_LC2'))); ?>
        &nbsp;
<?php endif; ?>
<?php if ($params->get('show_author') && !empty($this->item->author )) : ?>
		<?php $author =  $this->item->author; ?>
		<?php $author = ($this->item->created_by_alias ? $this->item->created_by_alias : $author);?>

			<?php if (!empty($this->item->contactid ) &&  $params->get('link_author') == true):?>
				<?php 	echo JText::sprintf('COM_CONTENT_WRITTEN_BY' , 
				 JHTML::_('link',JRoute::_('index.php?option=com_contact&view=contact&id='.$this->item->contactid),$author)); ?>

			<?php else :?>
				<?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY', $author); ?>
			<?php endif; ?>
		&nbsp;
<?php endif; ?>	
<?php if ($params->get('show_hits')) : ?>
		<?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', $this->item->hits); ?>
        &nbsp;
<?php endif; ?>

</div>

	<?php if (isset ($this->item->toc)) : ?>
		<?php echo $this->item->toc; ?>
	<?php endif; ?>

	<?php echo $this->item->text; ?>

	<?php echo $this->item->event->afterDisplayContent; ?>
</div>